<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateIntegration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('integration_products', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->id();
            $table->integer('integrationId');
            $table->text('WarehouseCode');
            $table->text('WarehouseDescription');
            $table->text('ProductCode');
            $table->text('ProductDescription');
            $table->text('VatRate');
            $table->text('ColorCode');
            $table->text('ColorDescription');
            $table->text('ColorGroupDescription');
            $table->text('ColorGroupCode');
            $table->text('ItemDim1Code');
            $table->text('Barcode');
            $table->text('Warehouse1InventoryQty');
            $table->text('Price1CurrencyCode');
            $table->text('Price1');
            $table->text('Price2');
            $table->text('ProductHierarchyLevel01');
            $table->text('ProductHierarchyLevelCode01');
            $table->text('ProductHierarchyLevel02');
            $table->text('ProductHierarchyLevelCode02');
            $table->text('ProductHierarchyLevel03');
            $table->text('ProductHierarchyLevelCode03');
            $table->text('ProductAtt01');
            $table->text('ProductAtt02');
            $table->text('ProductAtt03');
            $table->text('ProductAtt04');
            $table->text('ProductAtt05');
            $table->text('ProductAtt06');
            $table->text('ProductAtt07');
            $table->text('ProductAtt08');
            $table->text('ProductAtt09');
            $table->text('ProductAtt10');
            $table->text('ProductAtt11');
            $table->text('ProductAtt12');
            $table->text('ProductAtt13');
            $table->text('ProductAtt14');
            $table->text('ProductAtt15');
            $table->text('ProductAtt16');
            $table->text('ProductAtt17');
            $table->text('ProductAtt18');
            $table->text('ProductAtt19');
            $table->text('ProductAtt20');
            $table->text('ProductAtt21');
            $table->text('ProductAtt22');
            $table->text('ProductAtt23');
            $table->text('ProductAtt24');
            $table->text('ProductAtt25');
            $table->text('ProductAtt26');
            $table->text('ProductAtt27');
            $table->text('ProductAtt01Desc');
            $table->text('ProductAtt02Desc');
            $table->text('ProductAtt03Desc');
            $table->text('ProductAtt04Desc');
            $table->text('ProductAtt05Desc');
            $table->text('ProductAtt06Desc');
            $table->text('ProductAtt07Desc');
            $table->text('ProductAtt08Desc');
            $table->text('ProductAtt09Desc');
            $table->text('ProductAtt10Desc');
            $table->text('ProductAtt11Desc');
            $table->text('ProductAtt12Desc');
            $table->text('ProductAtt13Desc');
            $table->text('ProductAtt14Desc');
            $table->text('ProductAtt15Desc');
            $table->text('ProductAtt16Desc');
            $table->text('ProductAtt17Desc');
            $table->text('ProductAtt18Desc');
            $table->text('ProductAtt19Desc');
            $table->text('ProductAtt20Desc');
            $table->text('ProductAtt21Desc');
            $table->text('ProductAtt22Desc');
            $table->text('ProductAtt23Desc');
            $table->text('ProductAtt24Desc');
            $table->text('ProductAtt25Desc');
            $table->text('ProductAtt26Desc');
            $table->text('ProductAtt27Desc');
            $table->text('ProductAtt28Desc');
            $table->text('StockCode');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
